<p align="center">
    <img width="800" src="https://raw.githubusercontent.com/Fabio286/antares/master/docs/screen-alpha.png">
</p>

# Antares SQL Client

![GitHub package.json version](https://img.shields.io/github/package-json/v/fabio286/antares) [![Build Status](https://travis-ci.com/Fabio286/antares.svg?branch=master)](https://travis-ci.com/Fabio286/antares) ![GitHub All Releases](https://img.shields.io/github/downloads/fabio286/antares/total) ![GitHub](https://img.shields.io/github/license/fabio286/antares)

Antares is an SQL client based on [Electron.js](https://github.com/electron/electron) and [Vue.js](https://github.com/vuejs/vue) that aims to become a useful tool, especially for developers.  
My target is to support as many databases as possible, and all major operating systems, including the ARM versions.  

**At the moment this application is an alpha, it lacks many features** and supports only MySQL.  
Most of its current features might be enough for basic MySQL use, so give it a chance and send me your feedback, I would really appreciate it.  
I'm actively working on it (yes, i'm a lone dev), hoping to provide cool features and fixes as soon as possible.

🔗 If you are curious to try this early state of Antares you can download and install the [latest release](https://github.com/Fabio286/antares/releases).  
👁 To stay tuned for new releases watch this repo on **Release only** channel.  
🌟 Don't forget to **leave a star** if you appreciate this project.

## Philosophy

Why am I developing an SQL client when there are a lot of them on the market?  
The main goal is to develop a totally free, full featured, cross platform and open source alternative, empowered by JavaScript's ecosystem.  
An application created with minimalism and semplicity in mind, with features in the right places, not hundreds of tiny buttons or submenu.

## How to contribute

- [Translate Antares](https://github.com/Fabio286/antares/wiki/Translate-Antares)

## Current main features

- Multiple database connections at same time.
- Database management (add/edit/delete).
- Full tables management, including indexes and foreign keys.
- Run queries on multiple tabs.
- Query suggestions.
- Native dark theme.
- Multi language.
- Secure password storage.
- Auto updates.

## Coming soon

This is a roadmap with major features will come in near future.

- Stored procedures, views, schedulers and triggers support.
- Users management (add/edit/delete).
- Database tools (variables, process list...).
- SSL and SSH tunnel support.
- Support for other databases.
- UI/UX improvements.
- Improvements of query editor area.
- Improvements of query suggestions.
- Query history.
- More context menu shortcuts.
- More keyboard shortcuts.
- Query logs console.
- Fake data filler.
- Import/export and migration.
- Themes.

## Currently supported

### Databases

- [x] MySQL/MariaDB
- [ ] PostgreSQL
- [ ] MSSQL
- [ ] SQLite
- [ ] OracleDB
- [ ] More...

### Operating Systems

#### • x64

- [x] Windows
- [x] Linux
- [x] MacOS (needs tests)

#### • ARM

- [ ] Windows
- [ ] Linux
- [ ] MacOS

## Translations

[Giuseppe Gigliotti](https://github.com/ReverbOD) / [Italian Translation](https://github.com/Fabio286/antares/pull/20)  
[Mohd-PH](https://github.com/Mohd-PH) / [Arabic Translation](https://github.com/Fabio286/antares/pull/29)  
[hongkfui](https://github.com/hongkfui) / [Spanish Translation](https://github.com/Fabio286/antares/pull/32)
